#include <iostream>
#include <vector>
using namespace std;

int main() {
    ios::sync_with_stdio(false);

    int n, k, karta, pozicija;
    cin >> n >> k;
    vector<int> karte(n);

    for (int i = 0; i < n; i++) {
        cin >> karte[i];
        if (karte[i] == k)
            pozicija = i;
    }
    if (pozicija < n - 1)
        cout << karte[pozicija + 1] << endl;
    else
        cout << karte[0] << endl;

}